Bug 1279310 - Please upgrade to upstream version
Please upgrade to upstream version
Status: CLOSED ERRATA
Product: Fedora EPEL
Classification: Fedora
Component: python-carbon (Show other bugs)
epel7
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Piotr Popieluch
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-09 01:35 EST by lionel.cons
Modified: 2016-08-31 09:20 EDT (History)
4 users (show)

See Also:
Fixed In Version: python-carbon-0.9.14-1.fc23 python-carbon-0.9.14-1.fc22 python-carbon-0.9.15-1.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-08-31 09:20:32 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description lionel.cons 2015-11-09 01:35:38 EST
The long awaited 0.9.14 version has now been released, see http://graphite.readthedocs.org/en/0.9.x/releases/0_9_14.html.

Please upgrade python-carbon and related (like graphite-web) in EPEL.

Thanks!
Comment 1 Piotr Popieluch 2015-11-09 02:47:21 EST
I already started working on updating in Fedora. We've got some custom patches on Graphite which need to be reviewed/rewritten for the new version.

The new version suggests the use of "whitenoise" for static files, for this I created a review request bug 1278364

We also need to check if updating EPEL complies with policy EPEL updates policy:

https://fedoraproject.org/wiki/EPEL_Updates_Policy

especially following points:
- All updates should strive to avoid situations that require manual intervention to keep the package functioning after update. 
- Major updates with changes to user experence are to be avoided. 


PS. 0.9.13-pre1 packages for EL6 and EL7 are available in my COPR repo at:
https://copr.fedoraproject.org/coprs/piotrp/Graphite/
Comment 2 Piotr Popieluch 2015-11-11 07:53:06 EST
whitenoise is optional and needs extra configuration in local_settings.py. This will break configs on existing installations, therefore disabling whitenoise for now.

0.9.14 is now building in my personal COPR repo. I will want to test more before pusing to official repos.

https://copr.fedoraproject.org/coprs/piotrp/Graphite/
Comment 3 Fedora Update System 2015-11-14 16:41:33 EST
python-whisper-0.9.14-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-2d6d674771
Comment 4 Fedora Update System 2015-11-14 16:42:01 EST
python-whisper-0.9.14-1.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-6f48a3b8b2
Comment 5 Fedora Update System 2015-11-14 16:42:38 EST
python-carbon-0.9.14-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-dc3fda1a08
Comment 6 Fedora Update System 2015-11-14 16:42:59 EST
python-carbon-0.9.14-1.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-7ce5c0e0c8
Comment 7 Fedora Update System 2015-11-14 16:50:42 EST
graphite-web-0.9.14-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-5dc411d225
Comment 8 Fedora Update System 2015-11-14 16:51:36 EST
graphite-web-0.9.14-1.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-b24dbba353
Comment 9 Fedora Update System 2015-11-14 23:22:14 EST
graphite-web-0.9.14-1.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update graphite-web'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-b24dbba353
Comment 10 Fedora Update System 2015-11-14 23:22:17 EST
python-carbon-0.9.14-1.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update python-carbon'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-7ce5c0e0c8
Comment 11 Fedora Update System 2015-11-14 23:22:20 EST
python-whisper-0.9.14-1.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update python-whisper'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-6f48a3b8b2
Comment 12 Fedora Update System 2015-11-15 00:25:02 EST
graphite-web-0.9.14-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update graphite-web'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-5dc411d225
Comment 13 Fedora Update System 2015-11-15 00:25:05 EST
python-carbon-0.9.14-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update python-carbon'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-dc3fda1a08
Comment 14 Fedora Update System 2015-11-15 00:25:07 EST
python-whisper-0.9.14-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update python-whisper'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-2d6d674771
Comment 15 Fedora Update System 2015-11-22 14:33:29 EST
graphite-web-0.9.14-1.el7 python-whisper-0.9.14-1.el7 python-carbon-0.9.14-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-fca8de2c82
Comment 16 Fedora Update System 2015-11-23 15:54:55 EST
graphite-web-0.9.14-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 17 Fedora Update System 2015-11-23 15:55:00 EST
python-carbon-0.9.14-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 18 Fedora Update System 2015-11-23 15:55:05 EST
python-whisper-0.9.14-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 19 Fedora Update System 2015-11-23 21:49:52 EST
graphite-web-0.9.14-1.el7, python-carbon-0.9.14-1.el7, python-whisper-0.9.14-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'yum --enablerepo=epel-testing update python-carbon python-whisper graphite-web'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-fca8de2c82
Comment 20 Piotr Popieluch 2015-11-25 03:33:29 EST
There is a major bug in 0.9.14 with clustering, there are also some reports on broken timezone handling.

0.9.15 is expected to be released soon. I'm not pushing 0.9.14 to epel7 stable for now.
Comment 21 Fedora Update System 2015-11-25 19:21:31 EST
graphite-web-0.9.14-1.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.
Comment 22 Fedora Update System 2015-11-25 19:21:36 EST
python-carbon-0.9.14-1.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.
Comment 23 Fedora Update System 2015-11-25 19:21:41 EST
python-whisper-0.9.14-1.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.
Comment 24 Fedora Update System 2015-11-28 10:15:33 EST
graphite-web-0.9.15-1.fc23 python-whisper-0.9.15-1.fc23 python-carbon-0.9.15-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-fd28bc7826
Comment 25 Fedora Update System 2015-11-28 10:17:17 EST
graphite-web-0.9.15-1.fc22 python-carbon-0.9.15-1.fc22 python-whisper-0.9.15-1.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-28f9821c0f
Comment 26 Fedora Update System 2015-11-28 10:18:59 EST
graphite-web-0.9.15-1.fc21 python-carbon-0.9.15-1.fc21 python-whisper-0.9.15-1.fc21 has been submitted as an update to Fedora 21. https://bodhi.fedoraproject.org/updates/FEDORA-2015-8ca9871632
Comment 27 Fedora Update System 2015-11-28 10:21:28 EST
graphite-web-0.9.15-1.el7 python-whisper-0.9.15-1.el7 python-carbon-0.9.15-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-b73b1ba5d5
Comment 28 Fedora Update System 2015-11-28 19:53:48 EST
graphite-web-0.9.15-1.fc22, python-carbon-0.9.15-1.fc22, python-whisper-0.9.15-1.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update python-whisper python-carbon graphite-web'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-28f9821c0f
Comment 29 Fedora Update System 2015-11-28 21:22:32 EST
graphite-web-0.9.15-1.fc23, python-carbon-0.9.15-1.fc23, python-whisper-0.9.15-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update python-carbon python-whisper graphite-web'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-fd28bc7826
Comment 30 Fedora Update System 2015-11-29 01:52:49 EST
graphite-web-0.9.15-1.el7, python-carbon-0.9.15-1.el7, python-whisper-0.9.15-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'yum --enablerepo=epel-testing update python-carbon python-whisper graphite-web'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-b73b1ba5d5
Comment 31 Fedora Update System 2015-11-29 02:23:06 EST
graphite-web-0.9.15-1.fc21, python-carbon-0.9.15-1.fc21, python-whisper-0.9.15-1.fc21 has been pushed to the Fedora 21 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update python-whisper python-carbon graphite-web'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-8ca9871632
Comment 32 Piotr Popieluch 2015-11-29 14:13:00 EST
The new 0.9.15 packages are pushed to the testing repositories and should be on your local mirror by tomorrow.

REQUEST:
Please help me test the packages and give feedback in Bodhi.

I will not be pushing to EPEL7 without positive feedback.
Comment 33 lionel.cons 2015-12-01 05:46:08 EST
I commented on Bodhi: I cannot test on EL7 but the same source rpms rebuilt on EL6 work fine on my test Graphite server.
Comment 34 Fedora Update System 2015-12-06 14:19:24 EST
graphite-web-0.9.15-1.fc23, python-carbon-0.9.15-1.fc23, python-whisper-0.9.15-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 35 Fedora Update System 2015-12-08 16:23:06 EST
graphite-web-0.9.15-1.fc22, python-carbon-0.9.15-1.fc22, python-whisper-0.9.15-1.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.
Comment 36 Fedora Update System 2015-12-17 07:23:43 EST
graphite-web-0.9.15-1.el7, python-carbon-0.9.15-1.el7, python-whisper-0.9.15-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.
Comment 37 Fedora Update System 2016-02-04 10:28:00 EST
graphite-web-0.9.15-1.el6 python-carbon-0.9.15-1.el6 python-whisper-0.9.15-1.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-435a0fc8d3
Comment 38 Fedora Update System 2016-02-04 23:17:21 EST
graphite-web-0.9.15-1.el6, python-carbon-0.9.15-1.el6, python-whisper-0.9.15-1.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-435a0fc8d3
Comment 39 Fedora Update System 2016-08-31 09:20:28 EDT
graphite-web-0.9.15-1.el6, python-carbon-0.9.15-1.el6, python-whisper-0.9.15-1.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.